> For the complete documentation index, see [llms.txt](https://docs.cryptonode.id/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cryptonode.id/en/testnet/warden-protocol/cheat-sheet.md).

# Cheat Sheet

If you use our auto-installation, we've included several scripts under `./scripts` folder like:

```sh
./list_keys.sh
./check_balance.sh
./create_validator.sh
./unjail_validator.sh
./check_validator.sh
./start_wardend.sh
./check_log.sh
```

Here's other useful commands you might need

## ⚙️Service operations <a href="#service-operations" id="service-operations"></a>

{% tabs %}
{% tab title="Check logs" %}

```sh
sudo journalctl -fu wardend
```

{% endtab %}

{% tab title="Reload daemon" %}

```bash
sudo systemctl daemon-reload
```

{% endtab %}

{% tab title="Enable service" %}

```sh
sudo systemctl enable wardend
```

{% endtab %}

{% tab title="Disable service" %}

```sh
sudo systemctl disable wardend
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Start service" %}

```sh
sudo systemctl start wardend
```

{% endtab %}

{% tab title="Stop service" %}

```sh
sudo systemctl stop wardend
```

{% endtab %}

{% tab title="Restart service" %}

```sh
sudo systemctl status wardend
```

{% endtab %}

{% tab title="Check service status" %}

```sh
sudo systemctl status wardend
```

{% endtab %}
{% endtabs %}

## 🖥️Node operations

{% tabs %}
{% tab title="Overall status" %}

```
wardend status | jq
```

{% endtab %}

{% tab title="Node info" %}

```
wardend status 2>&1 | jq .NodeInfo
```

{% endtab %}

{% tab title="Sync info" %}

```
wardend status 2>&1 | jq .SyncInfo
```

{% endtab %}
{% endtabs %}

## 🗝️Key Management

{% tabs %}
{% tab title="Add new wallet" %}

```
wardend keys add $WALLET
```

{% endtab %}

{% tab title="Restore wallet" %}

```
wardend keys add $WALLET --recover
```

{% endtab %}

{% tab title="List all wallet" %}

```
wardend keys list
```

{% endtab %}

{% tab title="Check balance" %}

```
wardend q bank balances $(wardend keys show $WALLET -a)
```

{% endtab %}
{% endtabs %}

## 💱Transaction operations

Withdraw all rewards

{% code overflow="wrap" %}

```
wardend tx distribution withdraw-all-rewards --from $WALLET --chain-id buenavista-1 --gas auto --gas-adjustment 1.5 --fees 500uward -y
```

{% endcode %}

Self delegate

{% code overflow="wrap" %}

```
wardend tx staking delegate $(wardend keys show $WALLET --bech val -a) 1000000uward --from $WALLET --chain-id buenavista-1 --gas auto --gas-adjustment 1.5 --fees 500uward -y
```

{% endcode %}

Unbond

{% code overflow="wrap" %}

```
wardend tx staking unbond $(wardend keys show $WALLET --bech val -a) 1000000uward --from $WALLET --chain-id buenavista-1 --gas auto --gas-adjustment 1.5 --fees 500uward -y
```

{% endcode %}

Transfer token

{% code overflow="wrap" %}

```
wardend tx bank send $WALLET <TO_WALLET_ADDRESS> 1000000uward --gas auto --gas-adjustment 1.5 --fees 500uward -y
```

{% endcode %}

## ✅Validator operations

Create validator

Check [Validator Setup](/en/testnet/warden-protocol/validator-setup.md)

{% hint style="info" %}
Can follow this guide to get your keybase pgp : <https://docs.harmony.one/home/network/validators/managing-a-validator/adding-a-validator-logo>
{% endhint %}

Unjail Validator

```bash
wardend tx slashing unjail \
--from $WALLET \
--chain-id buenavista-1 \
--fees=500uward -y 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cryptonode.id/en/testnet/warden-protocol/cheat-sheet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
